--- old/usr/src/uts/common/fs/nfs/nfs4_state.c	2016-02-15 12:56:11.935803211 -0500
+++ new/usr/src/uts/common/fs/nfs/nfs4_state.c	2016-02-15 12:56:11.939774737 -0500
@@ -1066,8 +1066,7 @@
 		 * Before we lose the ptr, destroy the nvlist and pathnames
 		 * array from the warm start before this one.
 		 */
-		if (rfs4_dss_oldpaths)
-			nvlist_free(rfs4_dss_oldpaths);
+		nvlist_free(rfs4_dss_oldpaths);
 		rfs4_dss_oldpaths = rfs4_dss_paths;
 	}
 
@@ -1465,10 +1464,8 @@
 	rfs4_seen_first_compound = 0;
 
 	/* DSS: distributed stable storage */
-	if (rfs4_dss_oldpaths)
-		nvlist_free(rfs4_dss_oldpaths);
-	if (rfs4_dss_paths)
-		nvlist_free(rfs4_dss_paths);
+	nvlist_free(rfs4_dss_oldpaths);
+	nvlist_free(rfs4_dss_paths);
 	rfs4_dss_paths = rfs4_dss_oldpaths = NULL;
 }
 
